Attribute VB_Name = "modGeneral"
'-----------------------------------------------------------
' Program Name: Rodent's Revenge 2000
' Authors:      James Emmrich, Alexander Popov
'
'    http://www.emu8086.com
'
' Module:       modGeneral.bas
'
' Purpose: This module holds some general functions.
'-----------------------------------------------------------




Option Explicit

Public Const SW_SHOWDEFAULT = 10

' makes sure the path contains the back slash
' in the end, for example:
'  "C:\" - no need to add back slash.
'  "C:\Game" - need back slash.
Function Add_BackSlash(sPath As String) As String
  
    If (sPath <> "") Then
        If (Mid(sPath, Len(sPath), 1) <> "\") Then
          Add_BackSlash = sPath & "\"
          Exit Function
        End If
    End If
 
 
    Add_BackSlash = sPath
  
End Function

' makes string to have miminum length by adding
' some prefix, for example:
' input:     3
' output: 0003
Function make_min_len(s As String, minLen As Integer, sAddWhat As String) As String
    Dim i As Integer
    Dim sRes As String
    
    i = 0
    sRes = s
    
    While Len(sRes) < minLen
        sRes = sAddWhat & sRes
    Wend
    
    make_min_len = sRes
    
End Function

' returns True in case path (file) exists:
Function FileExists(ByVal sFileName As String) As Boolean

    Dim i As Integer
    
    On Error GoTo NotFound
    
    i = GetAttr(sFileName)
        
    FileExists = True
    
    Exit Function
    
NotFound:

    FileExists = False
    
End Function


' keeps the last "\" in path:
Function ExtractFilePath(ByVal strFullPath As String) As String
  Dim i As Integer

  For i = 1 To Len(strFullPath)
     If Mid(strFullPath, i, 1) = "\" Then
          ExtractFilePath = Left(strFullPath, i) ' not ideal but works.
     End If
  Next i
  
End Function

Function ExtractFileName(strFullPath As String) As String
       
    ExtractFileName = Right(strFullPath, Len(strFullPath) - Len(ExtractFilePath(strFullPath))) ' nothing is ideal but this one works.
    
End Function

